# Connections


## Fields

| Field              | Type               | Required           | Description        |
| ------------------ | ------------------ | ------------------ | ------------------ |
| `protocol`         | *::String*         | :heavy_check_mark: | N/A                |
| `address`          | *::String*         | :heavy_check_mark: | N/A                |
| `port`             | *::Float*          | :heavy_check_mark: | N/A                |
| `uri`              | *::String*         | :heavy_check_mark: | N/A                |
| `local`            | *T::Boolean*       | :heavy_check_mark: | N/A                |
| `relay`            | *T::Boolean*       | :heavy_check_mark: | N/A                |
| `i_pv6`            | *T::Boolean*       | :heavy_check_mark: | N/A                |